# I2DExColorSet Struct Reference

Inheritance diagram for I2DExColorSet:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | AddColorRGB (const TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | AddColorRGB (const TColorRGB214 &, const TMCString &)=0
virtual MCCOMErr MCCOMAPI | AddColorCMYK (const TColorCMYK &)=0
virtual MCCOMErr MCCOMAPI | AddColorCMYK (const TColorCMYK &, const TMCString &)=0
virtual uint32 MCCOMAPI | GetNumberOfColors () const =0
virtual EICColorSpaceSignature MCCOMAPI | GetColorSpace () const =0
virtual MCCOMErr MCCOMAPI | SetPrefixString (const TMCString &)=0
virtual MCCOMErr MCCOMAPI | SetSuffixString (const TMCString &)=0
virtual MCCOMErr MCCOMAPI | GetColorRGB (const uint32, TColorRGB214 &)=0
virtual MCCOMErr MCCOMAPI | GetColorCMYK (const uint32, TColorCMYK &)=0
virtual MCCOMErr MCCOMAPI | GetColorName (const uint32, TMCString &)=0
virtual MCCOMErr MCCOMAPI | GetPrefixString (TMCString &)=0
virtual MCCOMErr MCCOMAPI | GetSuffixString (TMCString &)=0

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I2DExColorSet::AddColorCMYK | ( | const TColorCMYK & | ,
|  | const TMCString & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::AddColorCMYK | ( | const TColorCMYK & |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::AddColorRGB | ( | const TColorRGB214 & | ,
|  | const TMCString & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::AddColorRGB | ( | const TColorRGB214 & |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::GetColorCMYK | ( | const | uint32,
|  | TColorCMYK & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::GetColorName | ( | const | uint32,
|  | TMCString & |  |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::GetColorRGB | ( | const | uint32,
|  | TColorRGB214 & |  |
| ) |  |  | `[pure virtual]`

virtual EICColorSpaceSignature MCCOMAPI I2DExColorSet::GetColorSpace | ( |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI I2DExColorSet::GetNumberOfColors | ( |  | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::GetPrefixString | ( | TMCString & |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::GetSuffixString | ( | TMCString & |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::SetPrefixString | ( | const TMCString & |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI I2DExColorSet::SetSuffixString | ( | const TMCString & |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I2dExColorSet.h